Skip to main content
PATCH
/
datasets
/
{datasetId}
/
rows
/
{rowId}
Update a dataset row
curl --request PATCH \
  --url https://api.adaline.ai/v2/datasets/{datasetId}/rows/{rowId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "values": {}
}'
{
  "id": "<string>",
  "values": {},
  "createdAt": 17450965800000,
  "updatedAt": 17450965800000
}

Authorizations

Authorization
string
header
required

Workspace API key. Pass as Authorization: Bearer <key>.

Path Parameters

datasetId
string
required

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80
rowId
string
required

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80

Query Parameters

valuesBy
enum<string>
Available options:
columnId,
columnName

Body

application/json
values
object

Response

Row updated.

A single row of data in a dataset. Each key in values is a column ID (or column name when keyBy=name), and each value is a typed cell with its modality.

id
string
required

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80
values
object
required

Cell values keyed by column identifier.

createdAt
integer<int64>
required

Unix timestamp in milliseconds.

Required range: 1672511400000 <= x <= 33229420200000
updatedAt
integer<int64>
required

Unix timestamp in milliseconds.

Required range: 1672511400000 <= x <= 33229420200000